Package org.gradle.ide.visualstudio.tasks

# Class GenerateSolutionFileTask

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.internal.ConventionTask
org.gradle.plugins.ide.api.GeneratorTask<org.gradle.ide.visualstudio.tasks.internal.VisualStudioSolutionFile>
org.gradle.ide.visualstudio.tasks.GenerateSolutionFileTask

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Task`, `Configurable<Task>`

@Incubating @DisableCachingByDefault(because="Not made cacheable, yet") public abstract class GenerateSolutionFileTask extends GeneratorTask<org.gradle.ide.visualstudio.tasks.internal.VisualStudioSolutionFile>
Task for generating a Visual Studio solution file (e.g. `foo.sln`).

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `protected static class`
  `GenerateSolutionFileTask.SolutionSpec`
  The data to use to generate the solution file.

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from class org.gradle.plugins.ide.api.GeneratorTask

  `afterConfigured, beforeConfigured, domainObject, generator`

  ### Fields inherited from interface org.gradle.api.Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenerateSolutionFileTask(org.gradle.ide.visualstudio.internal.DefaultVisualStudioSolution solution)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `getIncremental()`
  Whether this generator task can be treated as an incremental task or not
  `File`
  `getInputFile()`
  The input file to load the initial configuration from.
  `File`
  `getOutputFile()`
  The output file to write the final configuration to.
  `VisualStudioSolution`
  `getSolution()`
  `protected GenerateSolutionFileTask.SolutionSpec`
  `getSpec()`
  The `GenerateSolutionFileTask.SolutionSpec` for this task.
  `void`
  `setVisualStudioSolution(VisualStudioSolution solution)`

  ### Methods inherited from class org.gradle.plugins.ide.api.GeneratorTask

  `getInputFileIfExists, getInstantiator, setInputFile, setOutputFile`

  ### Methods inherited from class org.gradle.api.internal.ConventionTask

  `conventionMapping, conventionMapping, getConventionMapping`

  ### Methods inherited from class org.gradle.api.DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, doNotTrackStateIf, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonsNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, restoreOnlyIf, restoreTaskActions, setImpliesSubProjects`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.gradle.api.Task

  `doNotTrackState, notCompatibleWithConfigurationCache`

  ### Methods inherited from interface org.gradle.api.internal.TaskInternal

  `buildFailureMessage, getProvenance`

- ## Constructor Details

  - ### GenerateSolutionFileTask

    @Inject public GenerateSolutionFileTask(org.gradle.ide.visualstudio.internal.DefaultVisualStudioSolution solution)

- ## Method Details

  - ### getIncremental

    protected boolean getIncremental()
    Description copied from class: `GeneratorTask`
    Whether this generator task can be treated as an incremental task or not
    Overrides:
      `getIncremental` in class `GeneratorTask<org.gradle.ide.visualstudio.tasks.internal.VisualStudioSolutionFile>`

  - ### setVisualStudioSolution

    public void setVisualStudioSolution(VisualStudioSolution solution)

  - ### getSolution

    @Internal public VisualStudioSolution getSolution()

  - ### getSpec

    @Incubating protected GenerateSolutionFileTask.SolutionSpec getSpec()
    The `GenerateSolutionFileTask.SolutionSpec` for this task.
    Since:
      8.11

  - ### getInputFile

    @Internal public File getInputFile()
    Description copied from class: `GeneratorTask`
    The input file to load the initial configuration from. Defaults to the output file. If the specified input file does not exist, this task uses some default initial configuration.
    Overrides:
      `getInputFile` in class `GeneratorTask<org.gradle.ide.visualstudio.tasks.internal.VisualStudioSolutionFile>`
    Returns:
      The input file.

  - ### getOutputFile

    @OutputFile public File getOutputFile()
    Description copied from class: `GeneratorTask`
    The output file to write the final configuration to.
    Overrides:
      `getOutputFile` in class `GeneratorTask<org.gradle.ide.visualstudio.tasks.internal.VisualStudioSolutionFile>`
    Returns:
      The output file.